Bug 123578 - RH123578 Packages do not match between U1 to U2 update via RHN and U2 install from media
RH123578 Packages do not match between U1 to U2 update via RHN and U2 install...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date (Show other bugs)
3.0
s390x Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-19 09:50 EDT by Bill Goodrich
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-27 18:25:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
initial packages for s390 (25.49 KB, text/plain)
2004-05-25 15:13 EDT, Brock Organ
no flags Details
initial packages for s390x (27.43 KB, text/plain)
2004-05-25 15:14 EDT, Brock Organ
no flags Details
initial live rhn packages for s390 (27.73 KB, text/plain)
2004-05-25 15:15 EDT, Brock Organ
no flags Details
initial live rhn packages for s390x (29.74 KB, text/plain)
2004-05-25 15:15 EDT, Brock Organ
no flags Details
s390 U2 vs rhn differences (8.83 KB, text/plain)
2004-05-25 15:16 EDT, Brock Organ
no flags Details
s390x U2 vs rhn differences (9.12 KB, text/plain)
2004-05-25 15:16 EDT, Brock Organ
no flags Details

  None (edit)
Description Bill Goodrich 2004-05-19 09:50:18 EDT
The following has be reported by IBM LTC:  
Packages do not match between U1 to U2 update via RHN and U2 install
from media
Hardware Environment: z800

Software Environment: RHEL3 U2


Steps to Reproduce:
1. install RHEL3 U1 
2. register with RHN
3. up2date -u to get to U2
4. create sorted RPM list
5. install RHEL3 U2 from media
6. register with RHN
7. up2date -u to get errata 
8. create sorted RPM list 
9. diff both lists (U1 up2date, U2) 

Actual Results:
Several packages don't match. 

Expected Results:
I am not sure if there is a problem here but wanted to report it 
and have some verify the results. 

Additional Information:
< fontconfig-2.2.1-6.0
< fontconfig-2.2.1-6.0
---
> fontconfig-2.2.1-8.0
> fontconfig-2.2.1-8.0
123c123
< gnome-panel-2.2.2.1-4
---
> gnome-panel-2.2.2.1-6
170a171
> jpackage-utils-1.5.33-1jpp_4rh
182d182
< kernel-2.4.21-9.EL
191a192,193
> laus-0.1-54RHEL3
> laus-0.1-56RHEL3
319a322,323
> pam_passwdqc-0.7.5-1
> pam_smb-1.1.7-1
445a450,452
> tcl-8.3.5-92
> tcl-8.3.5-92
> tclx-8.3-92
452a460
> tk-8.3.5-92
492a501
> XFree86-Mesa-libGLU-4.3.0-62.EL
Comment 2 Brock Organ 2004-05-25 15:12:52 EDT
ok, checking default U2 everything install with current rhn live
package lists, the only package match that is not intentional appears
to be:

firstboot-1.1.19-2.noarch

which does not ship on these arches (I will file that as a seperate
bug)... the other differences appear to be desired updates for U2 over
and above the packages on the U2 ISOs ... I will attach those package
lists and differences ...

are there any other concerns/issues with this besides the list not
matching?  If not, maybe we can close this bug ... :)
Comment 3 Brock Organ 2004-05-25 15:13:58 EDT
Created attachment 100555 [details]
initial packages for s390
Comment 4 Brock Organ 2004-05-25 15:14:31 EDT
Created attachment 100556 [details]
initial packages for s390x
Comment 5 Brock Organ 2004-05-25 15:15:09 EDT
Created attachment 100557 [details]
initial live rhn packages for s390
Comment 6 Brock Organ 2004-05-25 15:15:58 EDT
Created attachment 100558 [details]
initial live rhn packages for s390x
Comment 7 Brock Organ 2004-05-25 15:16:36 EDT
Created attachment 100559 [details]
s390 U2 vs rhn differences
Comment 8 Brock Organ 2004-05-25 15:16:58 EDT
Created attachment 100560 [details]
s390x U2 vs rhn differences
Comment 9 Brock Organ 2004-05-25 15:42:26 EDT
I opened a seperate bug report for the incorrect firstboot package
listing:

Bug 124343:  noarch packages incorrectly distributed to s390/s390x
channels
Comment 10 Adrian Likins 2004-05-27 18:25:48 EDT
looks to be mostly channel issues at this point, closing
this bug
Comment 11 Bob Johnson 2004-06-02 09:49:51 EDT
Adrian, do you have details on the channel issues ?
Bill are you still having issues with this ?

Note You need to log in before you can comment on or make changes to this bug.